package kr.co.uplus.ez.api.attractMgt;

import kr.co.uplus.ez.api.attractMgt.dto.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AttractMgtMapper {

    int selectAttractListTotalCnt(ChannelListReqDto channelListReqDto);

    List<ChannelInfo> selectAttractList(ChannelListReqDto channelListReqDto);

    List<ChannelInfo> selectAttractExcelList(ChannelListExcelReqDto channelListExcelReqDto);

    ChannelDetailRes selectAttractDetail(ChannelDetailReqDto channelDetailReqDto);

    List<ChannelDetail> selectSndCountList(ChannelDetailReqDto channelDetailReqDto);
    
    List<ChannelDetail> sendNumberListExcel(ChannelDetailReqDto channelDetailReqDto);
}
